Last Comment Bug 670091 - Undefined reference to js_myfmod on mingw-w64
: Undefined reference to js_myfmod on mingw-w64
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla8
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks: 635617
  Show dependency treegraph
 
Reported: 2011-07-08 01:55 PDT by Jacek Caban
Modified: 2011-07-12 11:32 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (759 bytes, patch)
2011-07-08 01:55 PDT, Jacek Caban
m_kato: review+
Details | Diff | Review

Description Jacek Caban 2011-07-08 01:55:31 PDT
Created attachment 544753 [details] [diff] [review]
fix v1.0

Bug 635617 introduced my_fmod as a workaround for MSC compiler, but #ifdefs check only version of MSC, don't check if we're on MSC.
Comment 1 Makoto Kato [:m_kato] 2011-07-10 20:20:24 PDT
(In reply to comment #0)
> Created attachment 544753 [details] [diff] [review] [review]
> fix v1.0
> 
> Bug 635617 introduced my_fmod as a workaround for MSC compiler, but #ifdefs
> check only version of MSC, don't check if we're on MSC.

Jacek, does mingw64 has _M_X64?
Comment 2 Jacek Caban 2011-07-11 05:16:05 PDT
(In reply to comment #1)
> (In reply to comment #0)
> > Created attachment 544753 [details] [diff] [review] [review] [review]
> > fix v1.0
> > 
> > Bug 635617 introduced my_fmod as a workaround for MSC compiler, but #ifdefs
> > check only version of MSC, don't check if we're on MSC.
> 
> Jacek, does mingw64 has _M_X64?

Yes, it does. mingw-w64 generally tries to be compatible with MSC about such things.
Comment 3 Makoto Kato [:m_kato] 2011-07-11 18:11:10 PDT
Comment on attachment 544753 [details] [diff] [review]
fix v1.0

Review of attachment 544753 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 4 Jacek Caban 2011-07-12 02:26:47 PDT
Thanks for review, pushed to m-i:

http://hg.mozilla.org/integration/mozilla-inbound/rev/c620827546bb
Comment 5 :Ehsan Akhgari (busy, don't ask for review please) 2011-07-12 11:32:49 PDT
http://hg.mozilla.org/mozilla-central/rev/c620827546bb

Note You need to log in before you can comment on or make changes to this bug.